TICKIT_RENDERBUFFER_GET_CURSORPOS(3)

NAME
tickit_renderbuffer_has_cursorpos, tickit_renderbuffer_get_cursorpos - query the virtual cursor position

SYNOPSIS
    #include <tickit.h>

    bool tickit_renderbuffer_has_cursorpos(const TickitRenderBuffer *rb);
    void tickit_renderbuffer_get_cursorpos(const TickitRenderBuffer *rb, int lines, int cols);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_has_cursorpos() returns a true value if the buffer's virtual cursor position has been set by tickit_renderbuffer_goto(3), or false if it has never been set, or was cleared by tickit_renderbuffer_ungoto(3) or tickit_renderbuffer_reset(3).

tickit_renderbuffer_get_cursorpos() retrieves the current position of the virtual cursor, by setting the integers pointed to by line and col, if not NULL. If the virtual cursor position is not set then this function does nothing.

RETURN VALUE
tickit_renderbuffer_has_cursorpos() returns a boolean. tickit_renderbuffer_get_cursorpos() returns no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer(7), tickit(7)